import { TapRequestFrame } from '@iotize/tap/client/api';
export declare class TapRequestFrameBuilder {
    static MAX_ID: number;
    static parsePath(path: string): TapRequestFrame.Path;
    static GET(url: string, body?: Uint8Array): TapRequestFrame;
    static PUT(url: string, body?: Uint8Array): TapRequestFrame;
    static POST(url: string, body?: Uint8Array): TapRequestFrame;
    static create(method: TapRequestFrame.MethodType, url: string, data?: Uint8Array): TapRequestFrame;
    static validateId(id: number): number;
}
export declare namespace TapRequestFrameBuilder {
    const PATH_EXPRESSION: RegExp;
}
